<?php

	include_spip('inc/config');
	include_spip('inc/presentation');
	include_spip('inc/layer');
	include_spip('inc/meta');

	/*===========================================================================================================================================================
	Fonction principale
	============================================================================================================================================================*/
	
	function exec_spipimmo() 
	{
		include("constantes.inc");
		
		//variable globale pour le prfix des tables
		global $table_prefix;
								
		//Affichage du titre de la page
		if ($_GET['page'] != "") 
		{
			$titre = _T($tableTitre[$_GET['page']]); 
		} 
		else 
		{
			$titre = _T("Liste des annonces"); 
		}
		
		//Affichage du logo de la page
		if ($_GET['page'] != "") 
		{
			$image = ($imageTitre[$_GET['page']]); 
		} 
		else 
		{
			$image ="breve-24.gif"; 
		}
								
		debut_page(_T('SPIP-Immo'), "", "spipimmo");
		
		// Chargement du CSS
		echo("<link href=\"../plugins/SPIPImmo/style/style.css\" rel=\"stylesheet\" type=\"text/css\" />");
		
		//Chargement du javascript
		include("javascript.inc");
		
		//Titre du plugin
		echo("<br/>");
		gros_titre(_T('Gestion des annonces'));	
		
		// Affichage du contenu entier
		echo("<div id=\"conteneur\">");
		
			//Menu gauche
			echo("<div id=\"menugauche\">");
				debut_boite_info();
					echo("<div id=\"menu\">");
						echo("<div class=\"lignemenu\"><a href=\"?exec=spipimmo&amp;page=ajouter_annonce\"><img src=\"../dist/images/mot-cle-24.gif\" alt=\"Ajouter une annonce\" />&nbsp;&nbsp;Cr&eacute;er une annonce</a></div>");
						echo("<div class=\"lignemenu\"><a href=\"?exec=spipimmo&amp;page=liste_annonce\"><img src=\"../dist/images/breve-24.gif\" alt=\"Liste des annonces\" />&nbsp;&nbsp;Liste des annonces</a></div>");
					echo("</div>");
				fin_boite_info();
			echo("</div>");
		
			//Contenu principal
			echo("<div id=\"principal\">");
				debut_cadre_trait_couleur($image, false, "", _T($titre));
		
					//Chargement de l'une des pages pour la cration des tables
					switch($_GET['page'])
					{
						case "creation_table_annonces" :
							include('creation_table_annonces.php');
							break;
						case "creation_table_documents" :
							include('creation_table_documents.php');
							break;
					}
		
					//Requte pour vrifier si les tables existent dj
					$listeTable =@mysql_list_tables($GLOBALS['spip_mysql_db']);
					$nbTable=@mysql_num_rows($listeTable);
					$verifTableAnnonces=false;
					$verifTableDocuments=false;

					for ($i=0; $i<$nbTable; $i++)
					{
						if(mysql_tablename($listeTable, $i)==$tableAnnonces)
						{
							$verifTableAnnonces=true;
							break;
						}
					}
		
					for ($i=0; $i<$nbTable; $i++)
					{
						if(mysql_tablename($listeTable, $i)==$tableDocuments)
						{
							$verifTableDocuments=true;
							break;
						}
					}
		
					if($verifTableAnnonces==false && $verifTableDocuments==false)
					{
						echo("<p class=\"souligne_gras\">Pour utiliser le plugin, ces 2 tables doivent &ecirc;tre cr&eacute;es : </p>");
						echo("<p class=\"creation\"><a href=\"?exec=spipimmo&amp;page=creation_table_annonces\">Cr&eacute;er la table \"" . $tableAnnonces . "\"</a></p>");
						echo("<p class=\"creation\"><a href=\"?exec=spipimmo&amp;page=creation_table_documents\">Cr&eacute;er la table \"" . $tableDocuments . "\"</a></p>");
					}
					else if($verifTableAnnonces==false && $verifTableDocuments==true)
					{
						echo("<p class=\"souligne_gras\"Pour utiliser le plugin, cette table doit &ecirc;tre cr&eacute;e : </p>");
						echo("<p class=\"creation\"><a href=\"?exec=spipimmo&amp;page=creation_table_annonces\">Cr&eacute;er la table \"" . $tableAnnonces . "\"</a></p>");
					}	
					 else if($verifTableDocuments==false && $verifTableAnnonces==true)
					{
						echo("<p class=\"souligne_gras\">Pour utiliser le plugin, cette table doit &ecirc;tre cr&eacute;e : </p>");
						echo("<p class=\"creation\"><a href=\"?exec=spipimmo&amp;page=creation_table_documents\">Cr&eacute;er la table \"" . $tableDocuments . "\"</a></p>");
					}
					//Si les 2 tables existent, on affiche les principaux lments
					else if($tableAnnonce=true && $verifTableDocuments==true)
					{
						if($_GET['page']=="creation_table_annonces" || $_GET['page']=="creation_table_documents")
						{
							echo("<p class=\"creation\"><a href=\"?exec=spipimmo&amp;page=liste_annonce\">Liste des annonces</a></p>");
						}
						else
						{
							echo("<div id=\"page\">");
								//Affichage de la bonne page selon le paramtre "page"	
								switch($_GET['page']) 
								{
									case "confirmation_ajout_annonce" :
										include('confirmation_ajout_annonce.inc');
										break;
									case "ajouter_annonce" :
										include('ajouter_annonce.inc');
										break;
									case "modifier_annonce" :
										include('modifier_annonce.inc');
										break;
									case "supprimer_annonce" :
										include('supprimer_annonce.inc');
										break;
									case "confirmation_modification_annonce" :
										include('confirmation_modification_annonce.inc');
										break;
									case "confirmation_ajout_image" :
										include('confirmation_ajout_image.inc');
										break;
									case "supprimer_image" :
										include('supprimer_image.php');
										break;
									case "confirmation_modification_publication" :
										include('confirmation_modification_publication.inc');
										break;
									default :
										include('liste_annonce.inc');
										break;								
								}
							echo("</div>");
						}
					}
				fin_cadre_trait_couleur();
			echo("</div>");
		echo("</div>");
	}	
	
	fin_page();

?>