<?
	/*===========================================================================================================================================================
	Fonction pour ajouter le bouton dans le menu
	===========================================================================================================================================================*/

	function spipimmo_ajouterBoutons($boutons_admin)
	{

		  // on voit le bouton dans la barre "naviguer"
		  $boutons_admin['naviguer']->sousmenu['spipimmo']= new Bouton(
			'../'._DIR_PLUGINS.'SPIPImmo/img_pack/Menu.gif', 'SPIP-Immo');

		return $boutons_admin;
	}


	/*===========================================================================================================================================================
	Fonction pour les listes droulantes (nombre de piece, chambres,...)
	===========================================================================================================================================================*/

	function liste_deroulante_piece($NombrePieceTotal, $NombrePieceActuel)
	{

		$tour=0;
		for($i=0; $i<=$NombrePieceTotal; $i++)
		{
			if(($NombrePieceActuel=="") && $tour==0)
			{
				echo("<option selected=\"selected\" value=\"\"></option>");
				$tour++;
			}
			else if(($NombrePieceActuel!="") && $tour==0)
			{
				echo("<option selected=\"selected\" value=\"\"></option>");
				$tour++;
			}
			else if($NombrePieceActuel==$i)
			{
				echo("<option selected=\"selected\" value=\"" . $i . "\">" . $i . "</option>");
			}
			else
			{
				echo("<option value=\"" . $i . "\">" . $i . "</option>");
			}
		}
	}


	/*===========================================================================================================================================================
	Fonction pour redimensionner les images
	============================================================================================================================================================*/
	function redimage($img_src,$img_dest,$dst_w,$dst_h,$js,$alt=null,$img_vide=null)
	{
		//Dclaration des variables
		global $img;

		// donnes originelles
		$dst_w_O = $dst_w;
		$dst_h_O = $dst_h;

		// l'original existe ?
		$testOrigine = (file_exists($img_src));

		if ($testOrigine) {

			// Lit les dimensions de l'image
			$size = GetImageSize($img_src);
			$src_w = $size[0]; $src_h = $size[1];
			// Teste les dimensions tenant dans la zone
			$test_h = round(($dst_w / $src_w) * $src_h);
			$test_w = round(($dst_h / $src_h) * $src_w);
			// Si Height final non prcis (0)
			if(!$dst_h) $dst_h = $test_h;
			// Sinon si Width final non prcis (0)
			elseif(!$dst_w) $dst_w = $test_w;
			// Sinon teste quel redimensionnement tient dans la zone
			else if($test_h>$dst_h) $dst_w = $test_w;
			else $dst_h = $test_h;

			// La vignette existe ?
			$test = (file_exists($img_dest));
			// L'original a t modifi ?
			/*if($test)
				$test = (filemtime($img_dest)>filemtime($img_src));
			// Les dimensions de la vignette sont correctes ?
			if($test) {
				$size2 = @GetImageSize($img_dest);
				$test = ($size2[0]==$dst_w);
				$test = ($size2[1]==$dst_h);
			}*/

			// Crer la vignette ?
			if(!$test) {
				// Cre une image vierge aux bonnes dimensions
				$dst_im = ImageCreateTrueColor($dst_w,$dst_h);
				// Copie dedans l'image initiale redimensionne
				$src_im = ImageCreateFromJpeg($img_src);
				ImageCopyResampled($dst_im,$src_im,0,0,0,0,$dst_w,$dst_h,$src_w,$src_h);
				// Sauve la nouvelle image
				ImageJpeg($dst_im,$img_dest);
				// Dtruis les tampons
				ImageDestroy($src_im);
			}

		} else {
			if ($img_vide) {
				$img_dest = $img_vide;
				$dst_h = "height=\"".$dst_h."\"";
			} else {
				$img_dest = "../dist/images/logo_spip.jpg";
				$dst_h = "";
			}
		}

		//javascript pour ouvrir l'image dans une nouvelle fentre
		$javascript="onclick=\"window.open('" . $img_src . "', 'image')\" style=\"cursor:pointer\"";

		//on met le javascript , oui ou non?
		if($js==1)
		{
			$img = "<img src=\"".$img_dest."\"".$widthFinale.$heigthFinale." alt=\"" . $alt . "\" " . $javascript . " />";
		}
		else
		{
			$img = "<img src=\"".$img_dest."\"".$widthFinale.$heigthFinale." alt=\"" . $alt . "\" />";
		}
		echo($img);
	}
	
	/*===========================================================================================================================================================
	Cration des tags SPIP
	============================================================================================================================================================*/
	
	global $tables_principales;
		
	//annonces
	$tables_principales['annonces']= array(
		'field' => array
		(
			"id_annonce"=>"int(50)",
			"id_date"=>"datetime",
			"publier"=>"varchar(5)",
			"type_offre"=>"longtext",
			"vente_location"=>"longtext",
			"n_mandat"=>"longtext",
			"type_mandat"=>"longtext",
			"date_offre"=>"longtext",
			"date_modification"=>"longtext",
			"date_disponibilite"=>"longtext",
			"negociateur"=>"longtext",
			"prix_loyer"=>"int(30)",
			"honoraires"=>"longtext",
			"travaux"=>"longtext",
			"charges"=>"longtext",
			"depot_garantie"=>"longtext",
			"taxe_habitation"=>"longtext",
			"taxe_fonciere"=>"longtext",
			"adr_bien_1"=>"longtext",
			"adr_bien_2"=>"longtext",
			"cp_bien"=>"longtext",
			"ville_bien"=>"longtext",
			"cp_internet"=>"longtext",
			"ville_internet"=>"longtext",
			"quartier"=>"longtext",
			"residence"=>"longtext",
			"transport"=>"longtext",
			"proximite"=>"longtext",
			"secteur"=>"longtext",
			"categorie"=>"longtext",
			"nb_pieces"=>"longtext",
			"nb_chambres"=>"longtext",
			"surf_habit"=>"longtext",
			"surf_carrez"=>"longtext",
			"surf_sejour"=>"longtext",
			"surf_terrain"=>"longtext",
			"etage"=>"longtext",
			"code_etage"=>"longtext",
			"nb_etage"=>"longtext",
			"annee_cons"=>"longtext",
			"type_cuisine"=>"longtext",
			"nb_wc"=>"longtext",
			"nb_sdb"=>"longtext",
			"nb_sde"=>"longtext",
			"nb_park_int"=>"longtext",
			"nb_park_ext"=>"longtext",
			"nb_garages"=>"longtext",
			"type_soussol"=>"longtext",
			"nb_caves"=>"longtext",
			"type_chauf"=>"longtext",
			"nat_chauf"=>"longtext",
			"ascenseur"=>"longtext",
			"balcon"=>"longtext",
			"terrasse"=>"longtext",
			"piscine"=>"longtext",
			"acces_handi"=>"longtext",
			"nb_murs_mit"=>"longtext",
			"facade_terrain"=>"longtext",
			"texte_annonce_fr"=>"longtext",
			"texte_annonce_uk"=>"longtext",
			"texte_annonce_sp"=>"longtext",
			"texte_annonce_de"=>"longtext",
			"texte_annonce_it"=>"longtext",
			"texte_mailing"=>"longtext",
			"prestige"=>"longtext"
		),
		'key' => array("PRIMARY KEY" => "id_annonce")
	);
	
	//documents_annonces
	$tables_principales['documents_annonces']= array(
		'field' => array
		(
			"id_document"=>"bigint(21)",
			"numero_dossier"=>"int(6)",
			"fichier"=>"varchar(255)",
			"taille"=>"int(11)",
			"categorie"=>"longtext"
		),
		'key' => array("PRIMARY KEY" => "id_document")
	);
		
	/*===========================================================================================================================================================
	Cration des boucles SPIP
	============================================================================================================================================================*/
	
	//Boucle pour les annonces
	function boucle_ANNONCES($id_boucle, &$boucles) 
	{
		$boucle = &$boucles[$id_boucle];
		$id_table = $boucle->id_table;
		$boucle->from[$id_table] = "spip_annonces";

		return calculer_boucle($id_boucle, $boucles); 
	}
	
	// Boucle pour les documents des annonces
	function boucle_DOCUMENTS_ANNONCES($id_boucle, &$boucles) 
	{
		$boucle = &$boucles[$id_boucle];
		$id_table = $boucle->id_table;
		$boucle->from[$id_table] = "spip_documents_annonces";

		return calculer_boucle($id_boucle, $boucles); 
	}
?>